SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001349SiT!inbound emailpublic2010-06-18 16:032010-07-21 21:29
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.62 LTSFixed in Version3.62 LTS 
Summary0001349: Certain messages are imported with empty message bodies
DescriptionCertain mail messages are sent as Single part mime messages, but when the single part is html, the message body is in fact empty, and the $message variable is not filled.

this is quite rare, but happens.
Additional InformationIn inboundemail.php changes are required to treat such messages as per chat with Ivan. Sample of code changes:

switch ($results['Type'])
        {
            case 'html':

            if (!empty($results['Alternative'][0]['Data']))
            {
                $message = $results['Alternative'][0]['Data'];
            }
            else
            {
                $message = strip_tags(html_entity_decode($results['Data'],ENT_QUOTES));
            }
            break;

            case 'text':
                $message = $results['Data'];
                break;

            default:
                break;
        }
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003262)
ivan (administrator)
2010-06-19 17:07

Fixed in svn 3.x branch: r6513
Fixed in git 784830c

thanks Nico
User avatar (0003331)
ivan (administrator)
2010-07-18 15:05

Released in v3.62

- Issue History
Date Modified Username Field Change
2010-06-18 16:03 nicdev New Issue
2010-06-19 16:24 ivan Assigned To => ivan
2010-06-19 16:24 ivan Status new => assigned
2010-06-19 16:25 ivan Target Version => 3.62 LTS
2010-06-19 17:07 ivan Note Added: 0003262
2010-06-19 17:07 ivan Status assigned => resolved
2010-06-19 17:07 ivan Fixed in Version => Current SVN
2010-06-19 17:07 ivan Resolution open => fixed
2010-07-18 15:05 ivan Note Added: 0003331
2010-07-18 15:05 ivan Status resolved => closed
2010-07-21 21:29 ivan Fixed in Version Current SVN => 3.62 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker